FreeBSD : codeigniter -- file upload class vulnerability (0502c1cb-8f81-11df-a0bb-0050568452ac)

High Nessus Plugin ID 47793


The remote FreeBSD host is missing a security-related update.


Derek Jones reports :

A fix has been implemented for a security flaw in CodeIgniter 1.7.2.
All applications using the File Upload class should install the patch to ensure that their application is not subject to a vulnerability.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 47793

File Name: freebsd_pkg_0502c1cb8f8111dfa0bb0050568452ac.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2010/07/22

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:codeigniter, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2010/07/21

Vulnerability Publication Date: 2010/07/12